from fastapi import APIRouter, Depends
from sqlalchemy.orm import Session
from typing import List
from core.database import get_db
from schemas.expense import ExpenseSchema
from helpers.expense_helpers import get_all_expenses

router = APIRouter()

@router.get("/expense", status_code=200, response_model=List[ExpenseSchema])
async def get_expenses(db: Session = Depends(get_db)):
    expenses = get_all_expenses(db)
    return expenses